Good day to everyone!!
I am using Catia V5, for one of my project I need to get the link type of all elements in the links of document window as shown in the below snip.
I'm able to get the linktype for elements where pointed document is there using the below code.
But for items which...
I am looking for accessing link type of the pointed document.
Below is the code I am using, I'm able to get the path of pointed document but link type is not working.
Any suggestions on workaround of getting link type will be appreciated.
Set stiEngine = CATIA.GetItem("CAIEngine")
Set stiDbItem...
Hello,
I'm trying to create a new drawing document using CATIA.Documents.Add("Drawing")
Post creation the sheet format and sizes are empty as shown.
I tried the following but it is throwing err in papersize line. Is there any other way?
Dim drawingDocument1 as DrawingDocument
Dim...
Did some workaround it is working now,
CATIA.StartCommand "View from 3D"
Set oParentDoc = CATIA.Documents.Item("DC-SectionCut-TemplateDoc.CATProduct")
oParentDoc.Activate
Set ActDoc = CATIA.ActiveDocument
Set Sel2 = ActDoc.Selection
Sel2.Search "Name=*" &...
Thanks for sharing this LWolf. Both the links is about creating Isometric view.
All I need is to import an Annotation(TPS) Section Cut View which is already created in the product.
When I import it into Drawing it'll come as Section Cut.
The main theme here is to eradicate creating Front View to...
Hello Everyone,
I'm trying to import an annotated view from a product to a drawing.
I have did some workaround using CATIA.StartCommand.
Here is my code
Set drawingSheets1 = drawingDocument1.Sheets
Set drawingSheet1 = drawingSheets1.ActiveSheet
Set drawingViews1 = drawingSheet1.Views...
Thanks LWolf.
Did the following workaround, its working fine now.
SPltstrng = Split(ProdListArray(j), "-")
For k = LBound(SPltstrng) To UBound(SPltstrng)
If k = 0 Then ToRenamePartNumber = SPltstrng(k)
If k <> 0 Then ToRenamePartNumber = ToRenamePartNumber & "'-'" &...
I don't know the exact part number. I'll get that part numbers through a saved array from an Excel sheet.
My assembly is a bit complicated which has more than 1000 components at different levels.
So instead of looping through all levels I can search the part numbers directly using...
Hi Everyone,
I am trying to select a part using search, but I'm not getting the results
Set ActDoc = CATIA.ActiveDocument
Set oSel = ActDoc.Selection
srchStrng = "AB3C-1234-J"
oSel.Search "CATProductSearch.Product.PartNumber=" & srchStrng & "*,all"
When I do the search manually it gives the...
Tried it but not getting the result.
Also I tried the following but not getting the result,
selection1.Search "CATDrwSearch.DrwDimension.FakeDimValue=140,all"
selection1.Search "CATDrwSearch.DrwDimension.DimFakeAttr.FakeDimValue=140,all"
Hi Everyone,
I'm looking to find a syntax to search a particular fake dimension value instead of looping through
selection1.Search "CATDrwSearch.DrwDimension.DimFakeAttr=TRUE,all"
For i = 1 to selection.count
Set drawingDimension1 = Selection1.Item2(i).Value
Next i
I'm expecting something...
I recently did a coincidence between two sub-assemblies.
You can get a reference from the following thread.
[link ]https://www.eng-tips.com/viewthread.cfm?qid=481987[/url]